[FFe] Xfce 4.12 for Vivid

Bug #1424887 reported by Sean Davis
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
exo (Ubuntu)
Fix Released
Undecided
Sean Davis
garcon (Ubuntu)
Fix Released
Undecided
Unassigned
gtk2-engines-xfce (Ubuntu)
Fix Released
Undecided
Unassigned
libxfce4ui (Ubuntu)
Fix Released
Undecided
Unassigned
libxfce4util (Ubuntu)
Fix Released
Undecided
Unassigned
mousepad (Ubuntu)
Fix Released
Undecided
Unassigned
parole (Ubuntu)
Fix Released
Undecided
Unassigned
ristretto (Ubuntu)
Fix Released
Undecided
Unassigned
thunar (Ubuntu)
Fix Released
Undecided
Unassigned
thunar-volman (Ubuntu)
Fix Released
Undecided
Unassigned
tumbler (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4 (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-appfinder (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-dev-tools (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-panel (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-places-plugin (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-power-manager (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-session (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-settings (Ubuntu)
Fix Released
Undecided
Unassigned
xfce4-xkb-plugin (Ubuntu)
Fix Released
Undecided
Sean Davis
xfconf (Ubuntu)
Fix Released
Undecided
Unassigned
xfdesktop4 (Ubuntu)
Fix Released
Undecided
Unassigned
xfwm4 (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Xfce 4.12 is expected to be released on February 28. This will result in a major version bump for a number of components. As Xubuntu has included the development releases for each component since 14.04 LTS, the new packages will be primarily bug fixes (and not new features).

The Xubuntu Team would like to request an exception to include each of the new components in 15.04. Affected projects will be marked as affected on this same bug report.

Development versions of the packages have been continually tested throughout the development cycle for several Xubuntu releases.

Sean Davis (bluesabre)
description: updated
Revision history for this message
Sean Davis (bluesabre) wrote :

We've also spoken with the Ubuntu Studio folks who are fine with including Xfce 4.12

Revision history for this message
Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in exo (Ubuntu):
status: New → Triaged
Changed in libxfce4ui (Ubuntu):
status: New → Triaged
Changed in xfce4 (Ubuntu):
status: New → Triaged
Changed in xfce4-appfinder (Ubuntu):
status: New → Triaged
Changed in xfce4-dev-tools (Ubuntu):
status: New → Triaged
Changed in xfce4-panel (Ubuntu):
status: New → Triaged
Changed in xfce4-session (Ubuntu):
status: New → Triaged
Changed in xfce4-settings (Ubuntu):
status: New → Triaged
Changed in xfconf (Ubuntu):
status: New → Triaged
Changed in xfdesktop4 (Ubuntu):
status: New → Triaged
Changed in xfwm4 (Ubuntu):
status: New → Triaged
Revision history for this message
Sean Davis (bluesabre) wrote :

Adding additional components released today.

* garcon
* libxfce4util
* mousepad
* parole
* ristretto
* thunar
* thunar-volman
* tumbler
* xfce4-power-manager

Revision history for this message
Sean Davis (bluesabre) wrote :

Added xfce4-xkb-plugin as well.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-dev-tools - 4.12.0-0ubuntu1

---------------
xfce4-dev-tools (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1424887)
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 06:35:07 +1100

Changed in xfce4-dev-tools (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfconf - 4.12.0-0ubuntu1

---------------
xfconf (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 07:48:29 +1100

Changed in xfconf (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfdesktop4 - 4.12.0-0ubuntu1

---------------
xfdesktop4 (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 12:39:58 +1100

Changed in xfdesktop4 (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Jackson Doak (noskcaj) wrote :

The libxfce4util upload (required for libxfce4ui) will require a no-change rebuild of the following packages:
* exo
* garcon
* libxfce4ui
* libxfcegui4
* thunar
* thunar-volman
* xfce4-appfinder
* xfce4-battery-plugin
* xfce4-eyes-plugin
* xfce4-hdaps
* xfce4-indicator-plugin
* xfce4-mailwatch-plugin
* xfce4-mixer
* xfce4-notifyd
* xfce4-panel
* xfce4-places-plugin
* xfce4-session
* xfce4-settings
* xfce4-whiskermenu-plugin
* xfconf
* xfdesktop4
* xfwm4

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfwm4 - 4.12.0-0ubuntu1

---------------
xfwm4 (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 12:51:34 +1100

Changed in xfwm4 (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mousepad - 0.4.0-0ubuntu1

---------------
mousepad (0.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
  * Switch to gtk3
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 12:01:52 +1100

Changed in mousepad (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tumbler - 0.1.31-0ubuntu1

---------------
tumbler (0.1.31-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
  * Drop git patch, fixed upstream.
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 06:13:50 +1100

Changed in tumbler (Ubuntu):
status: New → Fix Released
Revision history for this message
Sean Davis (bluesabre) wrote :

All affected packages have been uploaded to vivid/vivid-proposed. I have also uploaded rebuilds for all components except the following. I do not have upload rights for these packages, so if an archive admin would be able to trigger a rebuild that should be everything.

* xfce4-eyes-plugin
* xfce4-hdaps
* xfce4-mixer

Revision history for this message
Logan Rosen (logan) wrote :

All rebuilt.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package parole - 0.8.0-0ubuntu1

---------------
parole (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 14:05:20 +1100

Changed in parole (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxfce4util - 4.12.1-0ubuntu1

---------------
libxfce4util (4.12.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:49:19 +1100

Changed in libxfce4util (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package garcon - 0.4.0-0ubuntu1

---------------
garcon (0.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
  * Drop patches, fixed upstream.
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 11:50:56 +1100

Changed in garcon (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ristretto - 0.8.0-0ubuntu1

---------------
ristretto (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
    - Set wallpapers in xfdesktop >= 4.11. LP: #1314829
  * Track all releases in debian/watch
  * Drop git patch, fixed upstream
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 07:32:29 +1100

Changed in ristretto (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-appfinder - 4.12.0-0ubuntu1

---------------
xfce4-appfinder (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:37:01 +1100

Changed in xfce4-appfinder (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunar-volman - 0.8.1-0ubuntu1

---------------
thunar-volman (0.8.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
  * Drop patch, fixed upstream
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 06:01:29 +1100

Changed in thunar-volman (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-settings - 4.12.0-0ubuntu1

---------------
xfce4-settings (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:08:48 +1100

Changed in xfce4-settings (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-session - 4.12.0-0ubuntu1

---------------
xfce4-session (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:15:05 +1100

Changed in xfce4-session (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-power-manager - 1.4.3-0ubuntu1

---------------
xfce4-power-manager (1.4.3-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 12:18:45 +1100

Changed in xfce4-power-manager (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxfce4ui - 4.12.0-0ubuntu1

---------------
libxfce4ui (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:46:39 +1100

Changed in libxfce4ui (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-panel - 4.12.0-0ubuntu1

---------------
xfce4-panel (4.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
    - Update french translation. LP: #1397353
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 13:30:23 +1100

Changed in xfce4-panel (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunar - 1.6.6-0ubuntu1

---------------
thunar (1.6.6-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887
  * Drop git patches
 -- Jackson Doak <email address hidden> Sun, 01 Mar 2015 05:47:39 +1100

Changed in thunar (Ubuntu):
status: New → Fix Released
Revision history for this message
Sean Davis (bluesabre) wrote :

exo 0.10.3 has been uploaded to vivid.

Changed in exo (Ubuntu):
assignee: nobody → Sean Davis (bluesabre)
status: Triaged → Fix Released
Revision history for this message
Sean Davis (bluesabre) wrote :

xfce4-xkb-plugin 0.7.1 has been uploaded to vivid.

Changed in xfce4-xkb-plugin (Ubuntu):
assignee: nobody → Sean Davis (bluesabre)
status: New → Fix Released
Revision history for this message
Sean Davis (bluesabre) wrote :

This bug was fixed in the package xfce4-places-plugin - 1.7.0-1

---------------
xfce4-places-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - update standards version to 3.9.6.

 -- Yves-Alexis Perez <email address hidden> Fri, 13 Mar 2015 22:09:16 +0100

Changed in xfce4-places-plugin (Ubuntu):
status: New → Fix Released
Revision history for this message
Thaddaeus Tintenfisch (thad-fisch-deactivatedaccount) wrote :

This bug was fixed in the package xfce4 - 4.12.1

---------------
xfce4 (4.12.1) unstable; urgency=medium

  [ Jackson Doak ]
  * Use the 4.12 SONAME for libxfce4util

  [ Yves-Alexis Perez ]
  * Upload to unstable.

 -- Yves-Alexis Perez <email address hidden> Wed, 06 May 2015 18:18:08 +0200

Changed in xfce4 (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Thaddaeus Tintenfisch (thad-fisch-deactivatedaccount) wrote :

This bug was fixed in the package gtk2-engines-xfce - 3.2.0-2

---------------
gtk2-engines-xfce (3.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <email address hidden> Wed, 06 May 2015 15:21:14 +0200

Changed in gtk2-engines-xfce (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related blueprints